Skip to main content
`Ctrl`+`K`

# TaoTermGetParametersMode

Gets the way a `TaoTerm` can accept parameters

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoTermGetParametersMode(TaoTerm term, TaoTermParametersMode *parameters_mode)

Not collective

## Input Parameter

- term - a `TaoTerm`

## Output Parameter

- parameters_mode - `TAOTERM_PARAMETERS_OPTIONAL`, `TAOTERM_PARAMETERS_NONE`, `TAOTERM_PARAMETERS_REQUIRED`

## See Also

TaoTerm: composable objective function terms, `TaoTerm`, `TaoTermParametersMode`, `TaoTermSetParametersMode()`

## Level

intermediate

## Location

src/tao/term/interface/taoterm.c

Index of all TaoTerm routines
Table of Contents for all manual pages
Index of all manual pages